# Eingeplante Importe

zum Planen von periodisch auszuführenden Importen

## GET /cmn/data-import/scheduled-import/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"eingeplante Importe","description":"zum Planen von periodisch auszuführenden Importen"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/data-import/scheduled-import/{id}":{"get":{"tags":["eingeplante Importe"],"summary":"Find an existing Resource by identifier","operationId":"getById_139","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/common-data_import-ScheduledImport"}}}},"404":{"description":"Resource with given ID was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-data_import-ScheduledImport":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label"},"responsibleTask":{"$ref":"#/components/schemas/common-task-Task"},"ruleSetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"queryPresetRequest":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequest"},"exportMode":{"type":"string","description":"Nur für Exporte: Was wird erzeugt? Eigene Datei oder Revision?","enum":["ONE_FILE_PER_RUN","ONE_REVISION_PER_RUN"]},"inputType":{"type":"string","description":"Was ist die Datenquelle","enum":["FILE","QUERY"]}},"required":["inputType"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-task-Task":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"label of this task"},"description":{"type":"string","description":"description of this task"},"cronExpression":{"type":"string","description":"valid cron expression (UNIX style)"},"lastExecutedAt":{"type":"string","format":"date-time","description":"last execution date-time","readOnly":true},"firstExecutionTime":{"type":"string","format":"date-time","description":"first execution date-time"},"nextExecutionAt":{"type":"string","format":"date-time","description":"next execution date-time","readOnly":true},"nextExecutionOverride":{"type":"string","format":"date-time","description":"Wann eine bevorzugte Abarbeitung angefragt wurde","readOnly":true},"lastStatus":{"type":"string","description":"lastStatus","enum":["CREATED","QUEUED","RUNNING","TERMINATED","SUCCESSFUL","ERRONEOUS","FATAL"],"readOnly":true},"jobBeanName":{"type":"string","description":"bean-name/class-name to execute"},"state":{"type":"string","default":"ACTIVE","description":"Status","enum":["ACTIVE","SUSPENDED","TO_REMOVE"]},"category":{"type":"string","default":"NORMAL","description":"Category","enum":["NORMAL","LONG_RUNNING"],"readOnly":true},"dataPayloadJson":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"runAsUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"singleton":{"type":"boolean","default":true,"description":"Is this task a singleton"},"repetitions":{"type":"integer","format":"int32","description":"How often will this task run? (null -> forever)"},"processId":{"type":"string","description":"process id"},"traceActive":{"type":"boolean","default":false,"description":"Aktiviert Call-Tracing fuer diesen Task"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["cronExpression","firstExecutionTime","jobBeanName","label","runAsUserRef"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-cunit-QueryPresetRequest":{"description":"CUnit-Vorlage zum erzeugen des Imports","properties":{"mode":{"type":"string","default":"QUERY","description":"Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT","enum":["QUERY","STATEMENT"]},"queryStatement":{"type":"string","description":"bei mode == STATEMENT, das vql-query"},"presetId":{"type":"string","description":"ID eines Presets"},"adhocPreset":{"$ref":"#/components/schemas/common-cunit-QueryPreset"},"overrideResults":{"type":"array","description":"ergebnisse (überschreiben QueryPreset#results)","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetische Terme - hier kommt die tatsächliche Berechnung rein","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"additionalPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequestPageable"},"variableSubstitutionList":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitutionList"}}},"common-cunit-QueryPreset":{"description":"Adhoc Preset","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"mode":{"type":"string","default":"QUERY","description":"Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT","enum":["QUERY","STATEMENT"]},"templateId":{"type":"string","description":"template dem dieser filter zugeordnet worden ist."},"templateGroupKey":{"type":"string","description":"templateGroupKey dem dieser filter zugeordnet worden ist."},"label":{"type":"string","description":"label für diesen filter"},"uiPayload":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"variables":{"type":"array","description":"Variablen für dieses Preset","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"}},"queryStatement":{"type":"string","description":"bei mode == STATEMENT, das vql-query"},"queryPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"results":{"type":"array","description":"ergebnisse","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"sortAndOrders":{"type":"array","description":"sortierung","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetPageable"},"option":{"$ref":"#/components/schemas/common-cunit-QueryPresetOption"},"transformations":{"type":"array","description":"zusätzliche konfigurationen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetTransformation"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetische Terme - hier kommt die tatsächliche Berechnung rein","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"definition":{"type":"array","description":"spaltenbeschreibung dieser zelle (bei verschachtelung)","items":{"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuAttribute"},{"$ref":"#/components/schemas/core-cunit-CuMeta"}]},"readOnly":true},"permissionAggregation":{"$ref":"#/components/schemas/common-user-ObjectSpecificPermissionAggregation"},"forWorkflow":{"type":"boolean","default":false,"description":"für Workflows vorgesehen"},"userOptions":{"$ref":"#/components/schemas/common-cunit-QueryPresetUserOptions"}},"required":["forWorkflow","label","mode","permissionAggregation","templateGroupKey","templateId"]},"common-cunit-QueryPresetVariable":{"description":"Die zu ersetzende Variable","properties":{"path":{"type":"string","description":"Der pfad, der dieses Attribut eindeutig beschreibt"},"definition":{"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuAttribute"},{"$ref":"#/components/schemas/core-cunit-CuMeta"}],"readOnly":true},"mandatory":{"type":"boolean","description":"Ob die Variable ein Pflichtfeld ist oder nicht"},"variableName":{"type":"string","description":"Name der Variablen"},"visible":{"type":"boolean","default":true,"description":"Handelt es sich um eine sichtbare Variable?"},"alignX":{"type":"integer","format":"int32","description":"Anordnung im UI - X-Koordinate"},"alignY":{"type":"integer","format":"int32","description":"Anordnung im UI - Y-Koordinate"},"alignWidth":{"type":"integer","format":"int32","description":"Anordnung im UI - Breite"},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"allowDialogMultipleChoice":{"type":"boolean","default":false,"description":"Kann eine Mehrfachauswahl erfolgen?"}}},"core-cunit-CuAttribute":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"attribute":{"type":"string","description":"name des attributes der das ergebnis enthält"},"path":{"type":"string","description":"der pfad, der dieses attribut eindeutig beschreibt"},"displayName":{"type":"string","description":"der Name dieses Feldes"},"displayNameOverride":{"type":"boolean","default":false,"description":"der Name dieses Feldes wurde überschrieben (alias oder funktion)"},"groupDisplayName":{"type":"string","description":"der Name der Gruppe, dieses Feldes"},"parentDisplayName":{"type":"string","description":"der Name des Referenzierenden Feldes"},"resultable":{"type":"boolean","default":true,"description":"kann dieses Feld ein Ergebnisfeld sein"},"filterable":{"type":"boolean","default":true,"description":"kann nach diesem feld gefiltert werden"},"sortable":{"type":"boolean","default":true,"description":"ist dieses Feld sortierbar"},"visible":{"type":"boolean","default":true,"description":"soll dieses Feld angezeigt werden"},"functions":{"type":"array","description":"angewendete funktionen (wenn das als Result MetaData verwendet wird)","items":{"type":"string","description":"angewendete funktionen (wenn das als Result MetaData verwendet wird)"}},"sortDirection":{"type":"string","description":"Info, wie diese spalte sortiert worden ist"},"constraint":{"$ref":"#/components/schemas/core-cunit-CuAttributeConstraint"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"data-type-identifier für dieses Attribut (falls dataType leer ist)","readOnly":true},"modelType":{"type":"string","description":"Attribut gehört zum Modelltyp 'statisch' oder 'dynamisch'","enum":["STATIC","DYNAMIC"],"readOnly":true},"headers":{"type":"array","description":"bei einem gruppierten Header (e.g. CrossTable) werden hier die einzelnen gruppen beschrieben","items":{"$ref":"#/components/schemas/core-cunit-CuAttribute.HeaderGroup"},"readOnly":true}}}]},"core-cunit-MetaContent":{"description":"Definition dieser Variable","discriminator":{"propertyName":"_type"},"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuMeta"},{"$ref":"#/components/schemas/core-cunit-CuAttribute"}],"properties":{"_type":{"type":"string"}},"required":["_type"]},"core-cunit-CuMeta":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"},"value":{"type":"array","description":"spaltenbeschreibung dieser zelle (bei verschachtelung)","items":{"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuAttribute"},{"$ref":"#/components/schemas/core-cunit-CuMeta"}]}}}},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"}}}]},"core-cunit-CuAttributeConstraint":{"description":"constraints für dieses Attribut","properties":{"minLength":{"type":"integer","format":"int32","description":"Minimal-Länge (von Zeichenketten oder Arrays)","readOnly":true},"maxLength":{"type":"integer","format":"int32","description":"Maximal-Länge (von Zeichenketten oder Arrays)","readOnly":true},"minValue":{"type":"integer","format":"int64","description":"minimaler Wert","readOnly":true},"includeMinValue":{"type":"boolean","description":"ist der minimale Wert inklusive?","readOnly":true},"maxValue":{"type":"integer","format":"int64","description":"maximaler Wert","readOnly":true},"includeMaxValue":{"type":"boolean","description":"ist der maximale Wert inklusive?","readOnly":true},"notNull":{"type":"boolean","default":false,"description":"ist der Wert 'null' verboten?","readOnly":true},"notBlank":{"type":"boolean","description":"Bei Strings: ist ein String nur aus Whitespace verboten?","readOnly":true}}},"core-cunit-CuAttributeDataType":{"description":"data-type für dieses Attribut (falls dataTypeIdentifier leer ist)","properties":{"identifier":{"type":"string","description":"Datentyp-identifier","readOnly":true},"jsType":{"type":"string","description":"welcher Typ ist es","readOnly":true},"objectRefIdentifier":{"type":"string","description":"bei Object_Ref: welcher Typ ist es genau","readOnly":true},"filterOptions":{"$ref":"#/components/schemas/core-cunit-CuAttributeFilterOptions"},"functions":{"type":"array","description":"welche Funktionen sind erlaubt?","items":{"type":"string","description":"welche Funktionen sind erlaubt?"},"readOnly":true},"predicateOperations":{"type":"array","description":"welche Operations sind erlaubt?","items":{"type":"string","description":"welche Operations sind erlaubt?","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"readOnly":true}}},"core-cunit-CuAttributeFilterOptions":{"description":"CUnit Attribut Filter Optionen","properties":{"filterValues":{"type":"array","description":"Mögliche Filterwerte","items":{"type":"string","description":"Mögliche Filterwerte"}},"filterDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"multipleChoice":{"type":"boolean","default":false,"description":"Kann eine Mehrfachauswahl erfolgen?"}}},"core-cunit-CuAttribute.HeaderGroup":{"description":"bei einem gruppierten Header (e.g. CrossTable) werden hier die einzelnen gruppen beschrieben","properties":{"displayName":{"type":"string","description":"der Name dieses Feldes"},"displayNameOverride":{"type":"boolean","default":false,"description":"der Name dieses Feldes wurde überschrieben (alias oder funktion)"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"data-type-identifier für dieses Attribut (falls dataType leer ist)","readOnly":true},"groupDisplayName":{"type":"string","description":"der Name der Gruppe, dieses Feldes"},"data":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"common-cunit-QueryPresetPredicate":{"description":"Bedingungen zur Selektion von Lagerplätzen","properties":{"type":{"type":"string","description":"die Operation für diesen Filter","enum":["JUNCTION","FILTER"]},"operator":{"type":"string","description":"operator","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"children":{"type":"array","description":"(bei junction) child-definitionen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"}},"property":{"type":"string","description":"filter property"},"values":{"type":"array","description":"filter werte","items":{"type":"string","description":"filter werte"}},"visible":{"type":"boolean","default":true,"description":"Sichtbarkeit bei Variablen"},"functions":{"type":"array","description":"Eine SQL-Funktion, die im Predicate angewendet wird","items":{"type":"string","description":"Eine SQL-Funktion, die im Predicate angewendet wird"}}},"required":["operator","type"]},"common-cunit-QueryPresetResult":{"description":"Ergebnisse","properties":{"property":{"type":"string","description":"property"},"displayName":{"type":"string","description":"title dieser spalte"},"functions":{"type":"array","description":"funktionen","items":{"type":"string","description":"funktionen"}},"visible":{"type":"boolean","default":true,"description":"sichtbare Ergebnisspalte"}},"required":["property"]},"common-cunit-QueryPresetSortOrder":{"description":"sort and order anweisungen","properties":{"property":{"type":"string","description":"property"},"functions":{"type":"array","description":"Functions","items":{"type":"string","description":"Functions"}},"direction":{"type":"string","description":"sort order","enum":["ASC","DESC"]}},"required":["direction","property"]},"common-cunit-QueryPresetPageable":{"description":"pageable","properties":{"limit":{"type":"integer","format":"int64","description":"das Limit (MaxRecordCount) für diesen Query"}}},"common-cunit-QueryPresetOption":{"description":"options","properties":{"distinctResult":{"type":"boolean","description":"soll der Query mit einem Distinct durchgeführt werden"}}},"common-cunit-QueryPresetTransformation":{"description":"zusätzliche konfigurationen","properties":{"crossTable":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation"}}},"common-cunit-QueryPresetCrossTableTransformation":{"description":"enthält die felder, die in einer cross-table für die reihenbildung verantwortlich sind (im grunde -> der group-key)","properties":{"rowSpecs":{"type":"array","description":"enthält die felder, die in einer cross-table für die reihenbildung verantwortlich sind (im grunde -> der group-key)","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"columnSpecs":{"type":"array","description":"enthält die felder, die in der cross-table als dynamische spalten erstellt werden sollen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"results":{"type":"array","description":"enthält die felder, die pro rowSpec-Kombination je nach Spaltenausprägung ermittelt werden sollen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell"}}},"required":["columnSpecs","results","rowSpecs"]},"common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell":{"description":"enthält die felder, die pro rowSpec-Kombination je nach Spaltenausprägung ermittelt werden sollen","properties":{"result":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"cellView":{"type":"string","description":"darstellung der werte","enum":["AS_IS","PERCENT_COL"]},"sumColumn":{"type":"boolean","default":false,"description":"soll eine spaltensumme erzeugt werden"},"rowMode":{"type":"string","description":"soll eine zeilensumme erzeugt werden","enum":["DATA","DATA_AND_TOTAL","TOTAL"]},"aggregateFunction":{"type":"string","description":"die funktion mit der die werte der Zelle aggregiert werden"}}},"common-cunit-ArithmeticQueryTerm":{"description":"Arithmetische Terme - hier kommt die tatsächliche Berechnung rein","properties":{"termName":{"type":"string","description":"Der Name des Terms für die Verarbeitung und Darstellung"},"terms":{"type":"array","description":"Die inneren Terme - entweder Verweise auf Attribute oder weitere Verschachtelungen der Berechnung","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermInner"}},"operations":{"type":"array","description":"Die Operationen, die ausgeführt werden sollen mit den Termen","items":{"type":"string","description":"Die Operationen, die ausgeführt werden sollen mit den Termen","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-cunit-ArithmeticQueryTermInner":{"description":"Die inneren Terme - entweder Verweise auf Attribute oder weitere Verschachtelungen der Berechnung","properties":{"fragment":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermFragment"},"attribute":{"type":"string","description":"Ein echtes Attribut aus dem Template"},"fixedValue":{"type":"number","description":"Ein Fixwert"}}},"common-cunit-ArithmeticQueryTermFragment":{"description":"Das Termfragment - eine weitere Verschachtelung mit eigenen Operationen","properties":{"operations":{"type":"array","description":"Die Operationen, die ausgeführt werden sollen mit den Termen","items":{"type":"string","description":"Die Operationen, die ausgeführt werden sollen mit den Termen","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-user-ObjectSpecificPermissionAggregation":{"description":"alle Nutzer-/Gruppen-Berechtigungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userPermissions":{"type":"array","description":"Nutzer-Berechtigungen","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificUserPermission"}},"groupPermissions":{"type":"array","description":"Gruppen-Berechtigungen","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificGroupPermission"}},"operationForAllUsers":{"type":"string","description":"Zugriffsrechte für alle Nutzer","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-user-ObjectSpecificUserPermission":{"description":"Nutzer-Berechtigungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Berechtigung","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-user-ObjectSpecificGroupPermission":{"description":"Gruppen-Berechtigungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"groupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Berechtigung","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-cunit-QueryPresetUserOptions":{"description":"nutzerbezogene Einstellungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"pinned":{"type":"boolean","default":false,"description":"angepinnt?"}},"required":["pinned"]},"common-cunit-QueryPresetRequestPageable":{"description":"Paging- und Sortierinformationen","properties":{"start":{"type":"integer","format":"int64","description":"Start-Offset"},"limit":{"type":"integer","format":"int32","description":"Ergebnis-Limit"},"sortOrders":{"type":"array","description":"sort and order anweisungen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}}}},"common-cunit-QueryPresetVariableSubstitutionList":{"description":"Werte von Variablen","properties":{"variableSubstitutions":{"type":"array","description":"Die Variablenbelegungen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitution"}}}},"common-cunit-QueryPresetVariableSubstitution":{"description":"Die Variablenbelegungen","properties":{"variable":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"},"values":{"type":"array","description":"Die einzusetzenden Werte","items":{"type":"string","description":"Die einzusetzenden Werte"}}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}}}}}
```

## PUT /cmn/data-import/scheduled-import/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"eingeplante Importe","description":"zum Planen von periodisch auszuführenden Importen"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/data-import/scheduled-import/{id}":{"put":{"tags":["eingeplante Importe"],"summary":"Update existing Resource ","operationId":"update_129","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-data_import-ScheduledImport"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/common-data_import-ScheduledImport"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-data_import-ScheduledImport":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label"},"responsibleTask":{"$ref":"#/components/schemas/common-task-Task"},"ruleSetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"queryPresetRequest":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequest"},"exportMode":{"type":"string","description":"Nur für Exporte: Was wird erzeugt? Eigene Datei oder Revision?","enum":["ONE_FILE_PER_RUN","ONE_REVISION_PER_RUN"]},"inputType":{"type":"string","description":"Was ist die Datenquelle","enum":["FILE","QUERY"]}},"required":["inputType"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-task-Task":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"label of this task"},"description":{"type":"string","description":"description of this task"},"cronExpression":{"type":"string","description":"valid cron expression (UNIX style)"},"lastExecutedAt":{"type":"string","format":"date-time","description":"last execution date-time","readOnly":true},"firstExecutionTime":{"type":"string","format":"date-time","description":"first execution date-time"},"nextExecutionAt":{"type":"string","format":"date-time","description":"next execution date-time","readOnly":true},"nextExecutionOverride":{"type":"string","format":"date-time","description":"Wann eine bevorzugte Abarbeitung angefragt wurde","readOnly":true},"lastStatus":{"type":"string","description":"lastStatus","enum":["CREATED","QUEUED","RUNNING","TERMINATED","SUCCESSFUL","ERRONEOUS","FATAL"],"readOnly":true},"jobBeanName":{"type":"string","description":"bean-name/class-name to execute"},"state":{"type":"string","default":"ACTIVE","description":"Status","enum":["ACTIVE","SUSPENDED","TO_REMOVE"]},"category":{"type":"string","default":"NORMAL","description":"Category","enum":["NORMAL","LONG_RUNNING"],"readOnly":true},"dataPayloadJson":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"runAsUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"singleton":{"type":"boolean","default":true,"description":"Is this task a singleton"},"repetitions":{"type":"integer","format":"int32","description":"How often will this task run? (null -> forever)"},"processId":{"type":"string","description":"process id"},"traceActive":{"type":"boolean","default":false,"description":"Aktiviert Call-Tracing fuer diesen Task"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["cronExpression","firstExecutionTime","jobBeanName","label","runAsUserRef"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-cunit-QueryPresetRequest":{"description":"CUnit-Vorlage zum erzeugen des Imports","properties":{"mode":{"type":"string","default":"QUERY","description":"Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT","enum":["QUERY","STATEMENT"]},"queryStatement":{"type":"string","description":"bei mode == STATEMENT, das vql-query"},"presetId":{"type":"string","description":"ID eines Presets"},"adhocPreset":{"$ref":"#/components/schemas/common-cunit-QueryPreset"},"overrideResults":{"type":"array","description":"ergebnisse (überschreiben QueryPreset#results)","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetische Terme - hier kommt die tatsächliche Berechnung rein","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"additionalPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequestPageable"},"variableSubstitutionList":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitutionList"}}},"common-cunit-QueryPreset":{"description":"Adhoc Preset","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"mode":{"type":"string","default":"QUERY","description":"Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT","enum":["QUERY","STATEMENT"]},"templateId":{"type":"string","description":"template dem dieser filter zugeordnet worden ist."},"templateGroupKey":{"type":"string","description":"templateGroupKey dem dieser filter zugeordnet worden ist."},"label":{"type":"string","description":"label für diesen filter"},"uiPayload":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"variables":{"type":"array","description":"Variablen für dieses Preset","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"}},"queryStatement":{"type":"string","description":"bei mode == STATEMENT, das vql-query"},"queryPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"results":{"type":"array","description":"ergebnisse","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"sortAndOrders":{"type":"array","description":"sortierung","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetPageable"},"option":{"$ref":"#/components/schemas/common-cunit-QueryPresetOption"},"transformations":{"type":"array","description":"zusätzliche konfigurationen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetTransformation"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetische Terme - hier kommt die tatsächliche Berechnung rein","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"definition":{"type":"array","description":"spaltenbeschreibung dieser zelle (bei verschachtelung)","items":{"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuAttribute"},{"$ref":"#/components/schemas/core-cunit-CuMeta"}]},"readOnly":true},"permissionAggregation":{"$ref":"#/components/schemas/common-user-ObjectSpecificPermissionAggregation"},"forWorkflow":{"type":"boolean","default":false,"description":"für Workflows vorgesehen"},"userOptions":{"$ref":"#/components/schemas/common-cunit-QueryPresetUserOptions"}},"required":["forWorkflow","label","mode","permissionAggregation","templateGroupKey","templateId"]},"common-cunit-QueryPresetVariable":{"description":"Die zu ersetzende Variable","properties":{"path":{"type":"string","description":"Der pfad, der dieses Attribut eindeutig beschreibt"},"definition":{"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuAttribute"},{"$ref":"#/components/schemas/core-cunit-CuMeta"}],"readOnly":true},"mandatory":{"type":"boolean","description":"Ob die Variable ein Pflichtfeld ist oder nicht"},"variableName":{"type":"string","description":"Name der Variablen"},"visible":{"type":"boolean","default":true,"description":"Handelt es sich um eine sichtbare Variable?"},"alignX":{"type":"integer","format":"int32","description":"Anordnung im UI - X-Koordinate"},"alignY":{"type":"integer","format":"int32","description":"Anordnung im UI - Y-Koordinate"},"alignWidth":{"type":"integer","format":"int32","description":"Anordnung im UI - Breite"},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"allowDialogMultipleChoice":{"type":"boolean","default":false,"description":"Kann eine Mehrfachauswahl erfolgen?"}}},"core-cunit-CuAttribute":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"attribute":{"type":"string","description":"name des attributes der das ergebnis enthält"},"path":{"type":"string","description":"der pfad, der dieses attribut eindeutig beschreibt"},"displayName":{"type":"string","description":"der Name dieses Feldes"},"displayNameOverride":{"type":"boolean","default":false,"description":"der Name dieses Feldes wurde überschrieben (alias oder funktion)"},"groupDisplayName":{"type":"string","description":"der Name der Gruppe, dieses Feldes"},"parentDisplayName":{"type":"string","description":"der Name des Referenzierenden Feldes"},"resultable":{"type":"boolean","default":true,"description":"kann dieses Feld ein Ergebnisfeld sein"},"filterable":{"type":"boolean","default":true,"description":"kann nach diesem feld gefiltert werden"},"sortable":{"type":"boolean","default":true,"description":"ist dieses Feld sortierbar"},"visible":{"type":"boolean","default":true,"description":"soll dieses Feld angezeigt werden"},"functions":{"type":"array","description":"angewendete funktionen (wenn das als Result MetaData verwendet wird)","items":{"type":"string","description":"angewendete funktionen (wenn das als Result MetaData verwendet wird)"}},"sortDirection":{"type":"string","description":"Info, wie diese spalte sortiert worden ist"},"constraint":{"$ref":"#/components/schemas/core-cunit-CuAttributeConstraint"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"data-type-identifier für dieses Attribut (falls dataType leer ist)","readOnly":true},"modelType":{"type":"string","description":"Attribut gehört zum Modelltyp 'statisch' oder 'dynamisch'","enum":["STATIC","DYNAMIC"],"readOnly":true},"headers":{"type":"array","description":"bei einem gruppierten Header (e.g. CrossTable) werden hier die einzelnen gruppen beschrieben","items":{"$ref":"#/components/schemas/core-cunit-CuAttribute.HeaderGroup"},"readOnly":true}}}]},"core-cunit-MetaContent":{"description":"Definition dieser Variable","discriminator":{"propertyName":"_type"},"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuMeta"},{"$ref":"#/components/schemas/core-cunit-CuAttribute"}],"properties":{"_type":{"type":"string"}},"required":["_type"]},"core-cunit-CuMeta":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"},"value":{"type":"array","description":"spaltenbeschreibung dieser zelle (bei verschachtelung)","items":{"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuAttribute"},{"$ref":"#/components/schemas/core-cunit-CuMeta"}]}}}},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"}}}]},"core-cunit-CuAttributeConstraint":{"description":"constraints für dieses Attribut","properties":{"minLength":{"type":"integer","format":"int32","description":"Minimal-Länge (von Zeichenketten oder Arrays)","readOnly":true},"maxLength":{"type":"integer","format":"int32","description":"Maximal-Länge (von Zeichenketten oder Arrays)","readOnly":true},"minValue":{"type":"integer","format":"int64","description":"minimaler Wert","readOnly":true},"includeMinValue":{"type":"boolean","description":"ist der minimale Wert inklusive?","readOnly":true},"maxValue":{"type":"integer","format":"int64","description":"maximaler Wert","readOnly":true},"includeMaxValue":{"type":"boolean","description":"ist der maximale Wert inklusive?","readOnly":true},"notNull":{"type":"boolean","default":false,"description":"ist der Wert 'null' verboten?","readOnly":true},"notBlank":{"type":"boolean","description":"Bei Strings: ist ein String nur aus Whitespace verboten?","readOnly":true}}},"core-cunit-CuAttributeDataType":{"description":"data-type für dieses Attribut (falls dataTypeIdentifier leer ist)","properties":{"identifier":{"type":"string","description":"Datentyp-identifier","readOnly":true},"jsType":{"type":"string","description":"welcher Typ ist es","readOnly":true},"objectRefIdentifier":{"type":"string","description":"bei Object_Ref: welcher Typ ist es genau","readOnly":true},"filterOptions":{"$ref":"#/components/schemas/core-cunit-CuAttributeFilterOptions"},"functions":{"type":"array","description":"welche Funktionen sind erlaubt?","items":{"type":"string","description":"welche Funktionen sind erlaubt?"},"readOnly":true},"predicateOperations":{"type":"array","description":"welche Operations sind erlaubt?","items":{"type":"string","description":"welche Operations sind erlaubt?","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"readOnly":true}}},"core-cunit-CuAttributeFilterOptions":{"description":"CUnit Attribut Filter Optionen","properties":{"filterValues":{"type":"array","description":"Mögliche Filterwerte","items":{"type":"string","description":"Mögliche Filterwerte"}},"filterDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"multipleChoice":{"type":"boolean","default":false,"description":"Kann eine Mehrfachauswahl erfolgen?"}}},"core-cunit-CuAttribute.HeaderGroup":{"description":"bei einem gruppierten Header (e.g. CrossTable) werden hier die einzelnen gruppen beschrieben","properties":{"displayName":{"type":"string","description":"der Name dieses Feldes"},"displayNameOverride":{"type":"boolean","default":false,"description":"der Name dieses Feldes wurde überschrieben (alias oder funktion)"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"data-type-identifier für dieses Attribut (falls dataType leer ist)","readOnly":true},"groupDisplayName":{"type":"string","description":"der Name der Gruppe, dieses Feldes"},"data":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"common-cunit-QueryPresetPredicate":{"description":"Bedingungen zur Selektion von Lagerplätzen","properties":{"type":{"type":"string","description":"die Operation für diesen Filter","enum":["JUNCTION","FILTER"]},"operator":{"type":"string","description":"operator","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"children":{"type":"array","description":"(bei junction) child-definitionen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"}},"property":{"type":"string","description":"filter property"},"values":{"type":"array","description":"filter werte","items":{"type":"string","description":"filter werte"}},"visible":{"type":"boolean","default":true,"description":"Sichtbarkeit bei Variablen"},"functions":{"type":"array","description":"Eine SQL-Funktion, die im Predicate angewendet wird","items":{"type":"string","description":"Eine SQL-Funktion, die im Predicate angewendet wird"}}},"required":["operator","type"]},"common-cunit-QueryPresetResult":{"description":"Ergebnisse","properties":{"property":{"type":"string","description":"property"},"displayName":{"type":"string","description":"title dieser spalte"},"functions":{"type":"array","description":"funktionen","items":{"type":"string","description":"funktionen"}},"visible":{"type":"boolean","default":true,"description":"sichtbare Ergebnisspalte"}},"required":["property"]},"common-cunit-QueryPresetSortOrder":{"description":"sort and order anweisungen","properties":{"property":{"type":"string","description":"property"},"functions":{"type":"array","description":"Functions","items":{"type":"string","description":"Functions"}},"direction":{"type":"string","description":"sort order","enum":["ASC","DESC"]}},"required":["direction","property"]},"common-cunit-QueryPresetPageable":{"description":"pageable","properties":{"limit":{"type":"integer","format":"int64","description":"das Limit (MaxRecordCount) für diesen Query"}}},"common-cunit-QueryPresetOption":{"description":"options","properties":{"distinctResult":{"type":"boolean","description":"soll der Query mit einem Distinct durchgeführt werden"}}},"common-cunit-QueryPresetTransformation":{"description":"zusätzliche konfigurationen","properties":{"crossTable":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation"}}},"common-cunit-QueryPresetCrossTableTransformation":{"description":"enthält die felder, die in einer cross-table für die reihenbildung verantwortlich sind (im grunde -> der group-key)","properties":{"rowSpecs":{"type":"array","description":"enthält die felder, die in einer cross-table für die reihenbildung verantwortlich sind (im grunde -> der group-key)","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"columnSpecs":{"type":"array","description":"enthält die felder, die in der cross-table als dynamische spalten erstellt werden sollen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"results":{"type":"array","description":"enthält die felder, die pro rowSpec-Kombination je nach Spaltenausprägung ermittelt werden sollen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell"}}},"required":["columnSpecs","results","rowSpecs"]},"common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell":{"description":"enthält die felder, die pro rowSpec-Kombination je nach Spaltenausprägung ermittelt werden sollen","properties":{"result":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"cellView":{"type":"string","description":"darstellung der werte","enum":["AS_IS","PERCENT_COL"]},"sumColumn":{"type":"boolean","default":false,"description":"soll eine spaltensumme erzeugt werden"},"rowMode":{"type":"string","description":"soll eine zeilensumme erzeugt werden","enum":["DATA","DATA_AND_TOTAL","TOTAL"]},"aggregateFunction":{"type":"string","description":"die funktion mit der die werte der Zelle aggregiert werden"}}},"common-cunit-ArithmeticQueryTerm":{"description":"Arithmetische Terme - hier kommt die tatsächliche Berechnung rein","properties":{"termName":{"type":"string","description":"Der Name des Terms für die Verarbeitung und Darstellung"},"terms":{"type":"array","description":"Die inneren Terme - entweder Verweise auf Attribute oder weitere Verschachtelungen der Berechnung","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermInner"}},"operations":{"type":"array","description":"Die Operationen, die ausgeführt werden sollen mit den Termen","items":{"type":"string","description":"Die Operationen, die ausgeführt werden sollen mit den Termen","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-cunit-ArithmeticQueryTermInner":{"description":"Die inneren Terme - entweder Verweise auf Attribute oder weitere Verschachtelungen der Berechnung","properties":{"fragment":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermFragment"},"attribute":{"type":"string","description":"Ein echtes Attribut aus dem Template"},"fixedValue":{"type":"number","description":"Ein Fixwert"}}},"common-cunit-ArithmeticQueryTermFragment":{"description":"Das Termfragment - eine weitere Verschachtelung mit eigenen Operationen","properties":{"operations":{"type":"array","description":"Die Operationen, die ausgeführt werden sollen mit den Termen","items":{"type":"string","description":"Die Operationen, die ausgeführt werden sollen mit den Termen","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-user-ObjectSpecificPermissionAggregation":{"description":"alle Nutzer-/Gruppen-Berechtigungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userPermissions":{"type":"array","description":"Nutzer-Berechtigungen","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificUserPermission"}},"groupPermissions":{"type":"array","description":"Gruppen-Berechtigungen","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificGroupPermission"}},"operationForAllUsers":{"type":"string","description":"Zugriffsrechte für alle Nutzer","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-user-ObjectSpecificUserPermission":{"description":"Nutzer-Berechtigungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Berechtigung","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-user-ObjectSpecificGroupPermission":{"description":"Gruppen-Berechtigungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"groupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Berechtigung","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-cunit-QueryPresetUserOptions":{"description":"nutzerbezogene Einstellungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"pinned":{"type":"boolean","default":false,"description":"angepinnt?"}},"required":["pinned"]},"common-cunit-QueryPresetRequestPageable":{"description":"Paging- und Sortierinformationen","properties":{"start":{"type":"integer","format":"int64","description":"Start-Offset"},"limit":{"type":"integer","format":"int32","description":"Ergebnis-Limit"},"sortOrders":{"type":"array","description":"sort and order anweisungen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}}}},"common-cunit-QueryPresetVariableSubstitutionList":{"description":"Werte von Variablen","properties":{"variableSubstitutions":{"type":"array","description":"Die Variablenbelegungen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitution"}}}},"common-cunit-QueryPresetVariableSubstitution":{"description":"Die Variablenbelegungen","properties":{"variable":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"},"values":{"type":"array","description":"Die einzusetzenden Werte","items":{"type":"string","description":"Die einzusetzenden Werte"}}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}}}}}
```

## DELETE /cmn/data-import/scheduled-import/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"eingeplante Importe","description":"zum Planen von periodisch auszuführenden Importen"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/data-import/scheduled-import/{id}":{"delete":{"tags":["eingeplante Importe"],"summary":"Delete an existing Resource","operationId":"delete_114","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## POST /cmn/data-import/scheduled-import

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"eingeplante Importe","description":"zum Planen von periodisch auszuführenden Importen"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/data-import/scheduled-import":{"post":{"tags":["eingeplante Importe"],"summary":"Create new Resource","operationId":"create_117","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-data_import-ScheduledImport"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/common-data_import-ScheduledImport"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-data_import-ScheduledImport":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label"},"responsibleTask":{"$ref":"#/components/schemas/common-task-Task"},"ruleSetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"queryPresetRequest":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequest"},"exportMode":{"type":"string","description":"Nur für Exporte: Was wird erzeugt? Eigene Datei oder Revision?","enum":["ONE_FILE_PER_RUN","ONE_REVISION_PER_RUN"]},"inputType":{"type":"string","description":"Was ist die Datenquelle","enum":["FILE","QUERY"]}},"required":["inputType"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-task-Task":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"label of this task"},"description":{"type":"string","description":"description of this task"},"cronExpression":{"type":"string","description":"valid cron expression (UNIX style)"},"lastExecutedAt":{"type":"string","format":"date-time","description":"last execution date-time","readOnly":true},"firstExecutionTime":{"type":"string","format":"date-time","description":"first execution date-time"},"nextExecutionAt":{"type":"string","format":"date-time","description":"next execution date-time","readOnly":true},"nextExecutionOverride":{"type":"string","format":"date-time","description":"Wann eine bevorzugte Abarbeitung angefragt wurde","readOnly":true},"lastStatus":{"type":"string","description":"lastStatus","enum":["CREATED","QUEUED","RUNNING","TERMINATED","SUCCESSFUL","ERRONEOUS","FATAL"],"readOnly":true},"jobBeanName":{"type":"string","description":"bean-name/class-name to execute"},"state":{"type":"string","default":"ACTIVE","description":"Status","enum":["ACTIVE","SUSPENDED","TO_REMOVE"]},"category":{"type":"string","default":"NORMAL","description":"Category","enum":["NORMAL","LONG_RUNNING"],"readOnly":true},"dataPayloadJson":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"runAsUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"singleton":{"type":"boolean","default":true,"description":"Is this task a singleton"},"repetitions":{"type":"integer","format":"int32","description":"How often will this task run? (null -> forever)"},"processId":{"type":"string","description":"process id"},"traceActive":{"type":"boolean","default":false,"description":"Aktiviert Call-Tracing fuer diesen Task"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["cronExpression","firstExecutionTime","jobBeanName","label","runAsUserRef"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-cunit-QueryPresetRequest":{"description":"CUnit-Vorlage zum erzeugen des Imports","properties":{"mode":{"type":"string","default":"QUERY","description":"Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT","enum":["QUERY","STATEMENT"]},"queryStatement":{"type":"string","description":"bei mode == STATEMENT, das vql-query"},"presetId":{"type":"string","description":"ID eines Presets"},"adhocPreset":{"$ref":"#/components/schemas/common-cunit-QueryPreset"},"overrideResults":{"type":"array","description":"ergebnisse (überschreiben QueryPreset#results)","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetische Terme - hier kommt die tatsächliche Berechnung rein","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"additionalPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequestPageable"},"variableSubstitutionList":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitutionList"}}},"common-cunit-QueryPreset":{"description":"Adhoc Preset","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"mode":{"type":"string","default":"QUERY","description":"Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT","enum":["QUERY","STATEMENT"]},"templateId":{"type":"string","description":"template dem dieser filter zugeordnet worden ist."},"templateGroupKey":{"type":"string","description":"templateGroupKey dem dieser filter zugeordnet worden ist."},"label":{"type":"string","description":"label für diesen filter"},"uiPayload":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"variables":{"type":"array","description":"Variablen für dieses Preset","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"}},"queryStatement":{"type":"string","description":"bei mode == STATEMENT, das vql-query"},"queryPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"results":{"type":"array","description":"ergebnisse","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"sortAndOrders":{"type":"array","description":"sortierung","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetPageable"},"option":{"$ref":"#/components/schemas/common-cunit-QueryPresetOption"},"transformations":{"type":"array","description":"zusätzliche konfigurationen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetTransformation"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetische Terme - hier kommt die tatsächliche Berechnung rein","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"definition":{"type":"array","description":"spaltenbeschreibung dieser zelle (bei verschachtelung)","items":{"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuAttribute"},{"$ref":"#/components/schemas/core-cunit-CuMeta"}]},"readOnly":true},"permissionAggregation":{"$ref":"#/components/schemas/common-user-ObjectSpecificPermissionAggregation"},"forWorkflow":{"type":"boolean","default":false,"description":"für Workflows vorgesehen"},"userOptions":{"$ref":"#/components/schemas/common-cunit-QueryPresetUserOptions"}},"required":["forWorkflow","label","mode","permissionAggregation","templateGroupKey","templateId"]},"common-cunit-QueryPresetVariable":{"description":"Die zu ersetzende Variable","properties":{"path":{"type":"string","description":"Der pfad, der dieses Attribut eindeutig beschreibt"},"definition":{"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuAttribute"},{"$ref":"#/components/schemas/core-cunit-CuMeta"}],"readOnly":true},"mandatory":{"type":"boolean","description":"Ob die Variable ein Pflichtfeld ist oder nicht"},"variableName":{"type":"string","description":"Name der Variablen"},"visible":{"type":"boolean","default":true,"description":"Handelt es sich um eine sichtbare Variable?"},"alignX":{"type":"integer","format":"int32","description":"Anordnung im UI - X-Koordinate"},"alignY":{"type":"integer","format":"int32","description":"Anordnung im UI - Y-Koordinate"},"alignWidth":{"type":"integer","format":"int32","description":"Anordnung im UI - Breite"},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"allowDialogMultipleChoice":{"type":"boolean","default":false,"description":"Kann eine Mehrfachauswahl erfolgen?"}}},"core-cunit-CuAttribute":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"attribute":{"type":"string","description":"name des attributes der das ergebnis enthält"},"path":{"type":"string","description":"der pfad, der dieses attribut eindeutig beschreibt"},"displayName":{"type":"string","description":"der Name dieses Feldes"},"displayNameOverride":{"type":"boolean","default":false,"description":"der Name dieses Feldes wurde überschrieben (alias oder funktion)"},"groupDisplayName":{"type":"string","description":"der Name der Gruppe, dieses Feldes"},"parentDisplayName":{"type":"string","description":"der Name des Referenzierenden Feldes"},"resultable":{"type":"boolean","default":true,"description":"kann dieses Feld ein Ergebnisfeld sein"},"filterable":{"type":"boolean","default":true,"description":"kann nach diesem feld gefiltert werden"},"sortable":{"type":"boolean","default":true,"description":"ist dieses Feld sortierbar"},"visible":{"type":"boolean","default":true,"description":"soll dieses Feld angezeigt werden"},"functions":{"type":"array","description":"angewendete funktionen (wenn das als Result MetaData verwendet wird)","items":{"type":"string","description":"angewendete funktionen (wenn das als Result MetaData verwendet wird)"}},"sortDirection":{"type":"string","description":"Info, wie diese spalte sortiert worden ist"},"constraint":{"$ref":"#/components/schemas/core-cunit-CuAttributeConstraint"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"data-type-identifier für dieses Attribut (falls dataType leer ist)","readOnly":true},"modelType":{"type":"string","description":"Attribut gehört zum Modelltyp 'statisch' oder 'dynamisch'","enum":["STATIC","DYNAMIC"],"readOnly":true},"headers":{"type":"array","description":"bei einem gruppierten Header (e.g. CrossTable) werden hier die einzelnen gruppen beschrieben","items":{"$ref":"#/components/schemas/core-cunit-CuAttribute.HeaderGroup"},"readOnly":true}}}]},"core-cunit-MetaContent":{"description":"Definition dieser Variable","discriminator":{"propertyName":"_type"},"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuMeta"},{"$ref":"#/components/schemas/core-cunit-CuAttribute"}],"properties":{"_type":{"type":"string"}},"required":["_type"]},"core-cunit-CuMeta":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"},"value":{"type":"array","description":"spaltenbeschreibung dieser zelle (bei verschachtelung)","items":{"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuAttribute"},{"$ref":"#/components/schemas/core-cunit-CuMeta"}]}}}},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"}}}]},"core-cunit-CuAttributeConstraint":{"description":"constraints für dieses Attribut","properties":{"minLength":{"type":"integer","format":"int32","description":"Minimal-Länge (von Zeichenketten oder Arrays)","readOnly":true},"maxLength":{"type":"integer","format":"int32","description":"Maximal-Länge (von Zeichenketten oder Arrays)","readOnly":true},"minValue":{"type":"integer","format":"int64","description":"minimaler Wert","readOnly":true},"includeMinValue":{"type":"boolean","description":"ist der minimale Wert inklusive?","readOnly":true},"maxValue":{"type":"integer","format":"int64","description":"maximaler Wert","readOnly":true},"includeMaxValue":{"type":"boolean","description":"ist der maximale Wert inklusive?","readOnly":true},"notNull":{"type":"boolean","default":false,"description":"ist der Wert 'null' verboten?","readOnly":true},"notBlank":{"type":"boolean","description":"Bei Strings: ist ein String nur aus Whitespace verboten?","readOnly":true}}},"core-cunit-CuAttributeDataType":{"description":"data-type für dieses Attribut (falls dataTypeIdentifier leer ist)","properties":{"identifier":{"type":"string","description":"Datentyp-identifier","readOnly":true},"jsType":{"type":"string","description":"welcher Typ ist es","readOnly":true},"objectRefIdentifier":{"type":"string","description":"bei Object_Ref: welcher Typ ist es genau","readOnly":true},"filterOptions":{"$ref":"#/components/schemas/core-cunit-CuAttributeFilterOptions"},"functions":{"type":"array","description":"welche Funktionen sind erlaubt?","items":{"type":"string","description":"welche Funktionen sind erlaubt?"},"readOnly":true},"predicateOperations":{"type":"array","description":"welche Operations sind erlaubt?","items":{"type":"string","description":"welche Operations sind erlaubt?","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"readOnly":true}}},"core-cunit-CuAttributeFilterOptions":{"description":"CUnit Attribut Filter Optionen","properties":{"filterValues":{"type":"array","description":"Mögliche Filterwerte","items":{"type":"string","description":"Mögliche Filterwerte"}},"filterDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"multipleChoice":{"type":"boolean","default":false,"description":"Kann eine Mehrfachauswahl erfolgen?"}}},"core-cunit-CuAttribute.HeaderGroup":{"description":"bei einem gruppierten Header (e.g. CrossTable) werden hier die einzelnen gruppen beschrieben","properties":{"displayName":{"type":"string","description":"der Name dieses Feldes"},"displayNameOverride":{"type":"boolean","default":false,"description":"der Name dieses Feldes wurde überschrieben (alias oder funktion)"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"data-type-identifier für dieses Attribut (falls dataType leer ist)","readOnly":true},"groupDisplayName":{"type":"string","description":"der Name der Gruppe, dieses Feldes"},"data":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"common-cunit-QueryPresetPredicate":{"description":"Bedingungen zur Selektion von Lagerplätzen","properties":{"type":{"type":"string","description":"die Operation für diesen Filter","enum":["JUNCTION","FILTER"]},"operator":{"type":"string","description":"operator","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"children":{"type":"array","description":"(bei junction) child-definitionen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"}},"property":{"type":"string","description":"filter property"},"values":{"type":"array","description":"filter werte","items":{"type":"string","description":"filter werte"}},"visible":{"type":"boolean","default":true,"description":"Sichtbarkeit bei Variablen"},"functions":{"type":"array","description":"Eine SQL-Funktion, die im Predicate angewendet wird","items":{"type":"string","description":"Eine SQL-Funktion, die im Predicate angewendet wird"}}},"required":["operator","type"]},"common-cunit-QueryPresetResult":{"description":"Ergebnisse","properties":{"property":{"type":"string","description":"property"},"displayName":{"type":"string","description":"title dieser spalte"},"functions":{"type":"array","description":"funktionen","items":{"type":"string","description":"funktionen"}},"visible":{"type":"boolean","default":true,"description":"sichtbare Ergebnisspalte"}},"required":["property"]},"common-cunit-QueryPresetSortOrder":{"description":"sort and order anweisungen","properties":{"property":{"type":"string","description":"property"},"functions":{"type":"array","description":"Functions","items":{"type":"string","description":"Functions"}},"direction":{"type":"string","description":"sort order","enum":["ASC","DESC"]}},"required":["direction","property"]},"common-cunit-QueryPresetPageable":{"description":"pageable","properties":{"limit":{"type":"integer","format":"int64","description":"das Limit (MaxRecordCount) für diesen Query"}}},"common-cunit-QueryPresetOption":{"description":"options","properties":{"distinctResult":{"type":"boolean","description":"soll der Query mit einem Distinct durchgeführt werden"}}},"common-cunit-QueryPresetTransformation":{"description":"zusätzliche konfigurationen","properties":{"crossTable":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation"}}},"common-cunit-QueryPresetCrossTableTransformation":{"description":"enthält die felder, die in einer cross-table für die reihenbildung verantwortlich sind (im grunde -> der group-key)","properties":{"rowSpecs":{"type":"array","description":"enthält die felder, die in einer cross-table für die reihenbildung verantwortlich sind (im grunde -> der group-key)","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"columnSpecs":{"type":"array","description":"enthält die felder, die in der cross-table als dynamische spalten erstellt werden sollen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"results":{"type":"array","description":"enthält die felder, die pro rowSpec-Kombination je nach Spaltenausprägung ermittelt werden sollen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell"}}},"required":["columnSpecs","results","rowSpecs"]},"common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell":{"description":"enthält die felder, die pro rowSpec-Kombination je nach Spaltenausprägung ermittelt werden sollen","properties":{"result":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"cellView":{"type":"string","description":"darstellung der werte","enum":["AS_IS","PERCENT_COL"]},"sumColumn":{"type":"boolean","default":false,"description":"soll eine spaltensumme erzeugt werden"},"rowMode":{"type":"string","description":"soll eine zeilensumme erzeugt werden","enum":["DATA","DATA_AND_TOTAL","TOTAL"]},"aggregateFunction":{"type":"string","description":"die funktion mit der die werte der Zelle aggregiert werden"}}},"common-cunit-ArithmeticQueryTerm":{"description":"Arithmetische Terme - hier kommt die tatsächliche Berechnung rein","properties":{"termName":{"type":"string","description":"Der Name des Terms für die Verarbeitung und Darstellung"},"terms":{"type":"array","description":"Die inneren Terme - entweder Verweise auf Attribute oder weitere Verschachtelungen der Berechnung","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermInner"}},"operations":{"type":"array","description":"Die Operationen, die ausgeführt werden sollen mit den Termen","items":{"type":"string","description":"Die Operationen, die ausgeführt werden sollen mit den Termen","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-cunit-ArithmeticQueryTermInner":{"description":"Die inneren Terme - entweder Verweise auf Attribute oder weitere Verschachtelungen der Berechnung","properties":{"fragment":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermFragment"},"attribute":{"type":"string","description":"Ein echtes Attribut aus dem Template"},"fixedValue":{"type":"number","description":"Ein Fixwert"}}},"common-cunit-ArithmeticQueryTermFragment":{"description":"Das Termfragment - eine weitere Verschachtelung mit eigenen Operationen","properties":{"operations":{"type":"array","description":"Die Operationen, die ausgeführt werden sollen mit den Termen","items":{"type":"string","description":"Die Operationen, die ausgeführt werden sollen mit den Termen","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-user-ObjectSpecificPermissionAggregation":{"description":"alle Nutzer-/Gruppen-Berechtigungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userPermissions":{"type":"array","description":"Nutzer-Berechtigungen","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificUserPermission"}},"groupPermissions":{"type":"array","description":"Gruppen-Berechtigungen","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificGroupPermission"}},"operationForAllUsers":{"type":"string","description":"Zugriffsrechte für alle Nutzer","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-user-ObjectSpecificUserPermission":{"description":"Nutzer-Berechtigungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Berechtigung","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-user-ObjectSpecificGroupPermission":{"description":"Gruppen-Berechtigungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"groupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Berechtigung","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-cunit-QueryPresetUserOptions":{"description":"nutzerbezogene Einstellungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"pinned":{"type":"boolean","default":false,"description":"angepinnt?"}},"required":["pinned"]},"common-cunit-QueryPresetRequestPageable":{"description":"Paging- und Sortierinformationen","properties":{"start":{"type":"integer","format":"int64","description":"Start-Offset"},"limit":{"type":"integer","format":"int32","description":"Ergebnis-Limit"},"sortOrders":{"type":"array","description":"sort and order anweisungen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}}}},"common-cunit-QueryPresetVariableSubstitutionList":{"description":"Werte von Variablen","properties":{"variableSubstitutions":{"type":"array","description":"Die Variablenbelegungen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitution"}}}},"common-cunit-QueryPresetVariableSubstitution":{"description":"Die Variablenbelegungen","properties":{"variable":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"},"values":{"type":"array","description":"Die einzusetzenden Werte","items":{"type":"string","description":"Die einzusetzenden Werte"}}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.vario-software.de/api-reference/eingeplante-importe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
